# 数据源配置
spring:
    # 邮件配置
    mail:
        default-encoding: utf-8
        # 协议服务器地址
        host: smtp.qq.com
        # ssl端口
        port: 465
        # 发送协议, 如果配置SSL端口，这里的发送协议改为 smtps
        protocol: smtp
        # 发送方的邮箱地址
        username: 1073290584@qq.com
        # 授权码 (非邮箱密码)
        password: fwepktqnhzeobdbh
        properties:
            mail:
                smtp:
                    auth: true
                    ssl:
                        enable: true
                        socketFactory:
                            class: com.sun.mail.util.MailSSLSocketFactory
                            fallback: false
                    timeout: 25000
                    connectionTimeout: 25000
                    writeTimeout: 25000
                    starttls:
                        enable: true
                debug: true

    # redis 配置
    redis:
        # 地址
        host: 120.46.159.163
        # 端口，默认为6379
        port: 7379
        # 数据库索引
        database: 1
        # 密码
        password: ezhizao.cn123456
        # 连接超时时间
        timeout: 10s
        lettuce:
            pool:
                # 连接池中的最小空闲连接
                min-idle: 0
                # 连接池中的最大空闲连接
                max-idle: 8
                # 连接池的最大数据库连接数
                max-active: 8
                # #连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.mysql.cj.jdbc.Driver
        druid:
            # 主库数据源
            master:
                url: jdbc:mysql://120.46.159.163:7306/ezhizao_dms?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&rewriteBatchedStatements=true&serverTimezone=GMT%2B8
                username: root
                password: ezhizao.cn@dms.40
            # 从库数据源
#            slave:
#                # 从数据源开关/默认关闭
#                enabled: true
#                url: jdbc:mysql://116.204.99.126:3306/snms?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&rewriteBatchedStatements=true&serverTimezone=GMT%2B8
#                username: idis_user
#                password: Teleinfo-88
            # 初始连接数
            initialSize: 5
            # 最小连接池数量
            minIdle: 10
            # 最大连接池数量
            maxActive: 20
            # 配置获取连接等待超时的时间
            maxWait: 60000
            # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
            timeBetweenEvictionRunsMillis: 60000
            # 配置一个连接在池中最小生存的时间，单位是毫秒
            minEvictableIdleTimeMillis: 300000
            # 配置一个连接在池中最大生存的时间，单位是毫秒
            maxEvictableIdleTimeMillis: 900000
            # 配置检测连接是否有效
            validationQuery: SELECT 1 FROM DUAL
            testWhileIdle: true
            testOnBorrow: false
            testOnReturn: false
            webStatFilter:
                enabled: true
            statViewServlet:
                enabled: true
                # 设置白名单，不填则允许所有访问
                allow:
                url-pattern: /druid/*
                # 控制台管理用户名和密码
                login-username: admin
                login-password: ezhizao.cn
            filter:
                stat:
                    enabled: true
                    # 慢SQL记录
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: true
                wall:
                    config:
                        multi-statement-allow: true
# 文件上传
file:
    upload:
        path: D://Ezhizao//dms//upload/  # 实体路径
        url: /upload/** # 映射url
        type: xlsx,xls,txt,jpeg,jpg,doc,ppt,pptx,png,pdf,rar,zip,wps,gif,docx #支持的文件类型
    excelTemplate:
        url: D://Ezhizao//dms//templates/
# 文件上传
ruoyi:
    profile: D:/Ezhizao/dms/